=== debian/changelog ===
yade (0.90.3-1~exp1) experimental; urgency=low

  * [a222e2e] Remove obsolete DM-Upload-Allowed flag.
  * [8a42102] Imported Upstream version 0.90.3

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 04 Dec 2012 19:31:12 +0100

yade (0.90.2-1~exp1) experimental; urgency=low

  * [1dd2feb] Imported Upstream version 0.90.2

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 26 Nov 2012 18:52:48 +0100

yade (0.90.1-2) experimental; urgency=low

  * [2c57531] Do not use --parallel option to escape memory exhausting.
  * [3435efb] Update watch-file.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Nov 2012 18:06:23 +0100

yade (0.90.1-1) experimental; urgency=low

  * [5965efa] Use cmake for git-version of yade.
  * [6f5e8d7] Add missing epoch in g++ version. Thanks to Jakub Wilk. 
              http://lists.debian.org/debian-devel/2012/07/msg00086.html.
  * [2a363fd] Remove old patches.
  * [7c7d6ce] Use compat-level 9.
  * [de60ab3] Use multiarch.
  * [d327303] Imported Upstream version 0.90.1
  * [e7bdd21] Add lintian-overrides for rpath-issue of openmpi.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 18 Nov 2012 21:31:06 +0100
