=== debian/watch ===
version=3
http://launchpad.net/yade/+download http://launchpad.net/yade/trunk/.*/yade-(.+).tar.bz://launchpad.net/yade/ .*/yade-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
