## yade 0.97.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,14 +32,17 @@
 INCLUDE(FindGTS)
 INCLUDE(FindGL2PS)
 INCLUDE(FindCGAL)
-
+INCLUDE(FindNumPy)
+INCLUDE(FindLoki)
+INCLUDE(FindPythonModule)
+INCLUDE(GNUInstallDirs)
 #===========================================================
 IF (CMAKE_CXX_FLAGS)
   #If flags are set, add only neccessary flags
   IF (DEBUG)
     SET(CMAKE_VERBOSE_MAKEFILE 1)
     SET(CMAKE_BUILD_TYPE Debug)
-    SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DYADE_PTR_CAST=static_pointer_cast -DYADE_CAST=static_cast -DYADE_DEBUG -ggdb2")
+    SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DYADE_PTR_CAST=static_pointer_cast -DYADE_CAST=static_cast -DYADE_DEBUG")
   ELSE (DEBUG)
     SET(CMAKE_BUILD_TYPE Release)
     SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DYADE_PTR_CAST=static_pointer_cast -DYADE_CAST=static_cast -fPIC")
@@ -49,7 +52,7 @@
   IF (DEBUG)
     SET(CMAKE_VERBOSE_MAKEFILE 1)
     SET(CMAKE_BUILD_TYPE Debug)
-    SET(CMAKE_CXX_FLAGS  "-DYADE_PTR_CAST=static_pointer_cast -DYADE_CAST=static_cast -DYADE_DEBUG -Wall -fPIC -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -ggdb2")
+    SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}  -DYADE_PTR_CAST=static_pointer_cast -DYADE_CAST=static_cast -DYADE_DEBUG -Wall -fPIC -g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security")
   ELSE (DEBUG)
     SET(CMAKE_BUILD_TYPE Release)
     SET(CMAKE_CXX_FLAGS  "-DYADE_PTR_CAST=static_pointer_cast -DYADE_CAST=static_cast -Wall -fPIC -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -s")
@@ -57,6 +60,7 @@
 ENDIF (CMAKE_CXX_FLAGS)
 #===========================================================
 # Add possibility to use local boost installation (e.g. -DLocalBoost=1.46.1)
+
 FIND_PACKAGE(Boost ${LocalBoost} COMPONENTS python thread date_time filesystem iostreams regex serialization REQUIRED)
 INCLUDE_DIRECTORIES (${Boost_INCLUDE_DIRS})
 # for checking purpose
@@ -65,7 +69,14 @@
 MESSAGE("--   Boost_INCLUDE_DIRS: " ${Boost_INCLUDE_DIRS})
 MESSAGE("--   Boost_LIBRARIES: " ${Boost_LIBRARIES})
 
-FIND_PACKAGE(Eigen3)
+#===========================================================
+FIND_PACKAGE(NumPy REQUIRED)
+INCLUDE_DIRECTORIES(${NUMPY_INCLUDE_DIRS})
+
+FIND_PACKAGE(Loki REQUIRED)
+FIND_PACKAGE(Eigen3 REQUIRED)
+#===========================================================
+
 SET(DEFAULT ON CACHE INTERNAL "Default value for enabled by default options")
 SET(LINKLIBS "")
 SET(CONFIGURED_FEATS "")
@@ -85,15 +96,6 @@
   INCLUDE_DIRECTORIES(${EIGEN3_INCLUDE_DIR})
   MESSAGE(STATUS "Found Eigen3")
   SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} Eigen3")
-ELSE (EIGEN3_FOUND)
-  FIND_PACKAGE(Eigen2)
-  if (EIGEN2_FOUND)
-    INCLUDE_DIRECTORIES(${EIGEN2_INCLUDE_DIR})
-    MESSAGE(STATUS "Found Eigen2")
-    SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} Eigen2")
-  ELSE (EIGEN2_FOUND)
-    MESSAGE(FATAL_ERROR "None Eigen2 or Eigen3 were found!")
-  ENDIF (EIGEN2_FOUND)
 ENDIF(EIGEN3_FOUND)
 #===========================================================
 IF(ENABLE_VTK)
@@ -102,7 +104,7 @@
     INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
     LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_VTK")
-    SET(features "${features},vtk")
+    SET(features "${features} vtk")
     MESSAGE(STATUS "Found VTK")
     SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} VTK")
   ELSE(VTK_FOUND)
@@ -117,10 +119,10 @@
 IF(ENABLE_OPENMP)
   FIND_PACKAGE(OpenMP)
   IF(OPENMP_FOUND)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_OPENMP -fopenmp")
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_OPENMP ${OpenMP_CXX_FLAGS}")
     MESSAGE(STATUS "Found OpenMP")
     SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} OpenMP")
-    SET(features "${features},openmp")
+    SET(features "${features} openmp")
   ELSE(OPENMP_FOUND)
     MESSAGE(STATUS "OpenMP NOT found")
     SET(ENABLE_OPENMP OFF)
@@ -140,7 +142,7 @@
     INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
     MESSAGE(STATUS "Found GTS")
     SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} GTS")
-    SET(features "${features},gts")
+    SET(features "${features} gts")
   ELSE(GTS_FOUND AND GLIB2_FOUND)
     MESSAGE(STATUS "GTS NOT found")
     SET(DISABLED_FEATS "${DISABLED_FEATS} GTS")
@@ -159,7 +161,7 @@
   IF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
     SET(GUI_LIBS ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${QGLVIEWER_LIBRARIES})
     SET(GUI_SRC_LIB "lib/opengl/GLUtils.cpp")
-    SET(features "${features},qt4,opengl")
+    SET(features "${features} qt4 opengl")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_OPENGL")
     INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
     INCLUDE_DIRECTORIES(${QT_INCLUDES})
@@ -174,6 +176,16 @@
 ELSE(ENABLE_GUI)
   SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
 ENDIF(ENABLE_GUI)
+#===========================================================
+# This one will automaticaly enable CGAL
+IF(ENABLE_PFVFLOW)
+  IF (NOT ENABLE_CGAL)
+    MESSAGE(STATUS "PFVFLOW depends on CGAL, attempting to turn ENABLE_CGAL ON")
+    SET(ENABLE_CGAL ON)
+  ENDIF (NOT ENABLE_CGAL)
+  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DFLOW_ENGINE")
+  SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} PFVflow")
+ENDIF(ENABLE_PFVFLOW)
 #===========================================================
 IF(ENABLE_CGAL)  
   INCLUDE(FindGMP)
@@ -212,7 +224,7 @@
     SET(ENABLE_LINSOLV OFF)
   ENDIF(CHOLMOD_FOUND)
 ENDIF(ENABLE_LINSOLV)
-#===========================================================
+#===============================================
 IF(ENABLE_GL2PS)
   FIND_PACKAGE(GL2PS)
   IF(GL2PS_FOUND)
@@ -253,7 +265,7 @@
 ENDIF(NOSUFFIX)   #For packaging
 
 IF(NOT LIBRARY_OUTPUT_PATH)   #For packaging
-  SET (LIBRARY_OUTPUT_PATH "lib")
+  SET (LIBRARY_OUTPUT_PATH ${CMAKE_INSTALL_LIBDIR})
 ENDIF(NOT LIBRARY_OUTPUT_PATH)   #For packaging
 
 IF (NOT runtimePREFIX)
@@ -266,23 +278,11 @@
 #===========================================================
 
 SET(YADE_LIB_PATH ${CMAKE_INSTALL_PREFIX}/${LIBRARY_OUTPUT_PATH}/yade${SUFFIX})
-SET(YADE_EXEC_PATH ${CMAKE_INSTALL_PREFIX}/bin)
+SET(YADE_EXEC_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR})
 SET(YADE_PY_PATH ${YADE_LIB_PATH}/py)
-SET(YADE_DOC_PATH ${CMAKE_INSTALL_PREFIX}/share/doc/yade${SUFFIX})
+SET(YADE_DOC_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/doc/yade${SUFFIX})
+SET(YADE_MAN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR})
 
 
 SET(CMAKE_SKIP_BUILD_RPATH FALSE)
 SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
-SET(CMAKE_INSTALL_RPATH "${YADE_LIB_PATH};${YADE_PY_PATH};${YADE_PY_PATH}/yade/;${YADE_PY_PATH}/yade/qt;${YADE_PY_PATH}/gts")
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
-
-#===========================================================
-IF(ENABLE_GUI)
-  ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/gui")
-ENDIF(ENABLE_GUI)
-ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/py")
-#===========================================================
-
-# this is only a temporary hack, headers should be installed in the build-dir directly
-# perhaps there is a proper way, have to ask
-IF(NOT EXISTS "${CMAKE_BINARY_DIR}/yade")
