=== debian/changelog ===
yade (0.97.0-4ubuntu2) saucy; urgency=low

  * Revert changes from 0.97.0-4ubuntu1 now that #714935 is closed.
  * Revert to g++-4.7 to resolve FTBFS cause by cc1plus OOMing when
    building with g++-4.8, so we can finish the held-up transitions.
  * Drop build-dep on binutils-gold now that it comes from binutils.
  * Disable parallel builds on all arches; it fails intermittently.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 06 Jul 2013 13:59:19 -0600

yade (0.97.0-4ubuntu1) saucy; urgency=low

  * Add build-deps on libvtk5.8-qt4, tcl-vtk, python-vtk, libvtk-java
    to work around cmake-related FTBFS caused by Debian bug #714935.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 06 Jul 2013 12:22:26 -0600

yade (0.97.0-4) unstable; urgency=low

  * [39d5e4a] Use binutils-gold only in amd64 and i386. (Closes: #710313)

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 29 May 2013 21:40:38 +0200

yade (0.97.0-3) unstable; urgency=low

  * [978a093] Add cgal to BD on ia64.
  * [cd9763a] Add Breaks/Replaces into libyade.
  * Update changelog for the previous upload (missed entries).

 -- Anton Gladky <gladk@debian.org>  Wed, 29 May 2013 19:48:00 +0200

yade (0.97.0-2) unstable; urgency=low

  * [49e2dbb] Use parallel build only on amd64 and i386.
  * [e061d31] Do not use python-minieigen on s390 (no binary).
  * [066e0c2] Ship libraries in libyade-package. 
              Add python-bindings. (Closes: #708469)
  * [6eb310f] Add texlive-fonts-recommended to BD.

 -- Anton Gladky <gladk@debian.org>  Mon, 20 May 2013 20:43:33 +0200

yade (0.97.0-1) unstable; urgency=low

  * [5cf366c] Imported Upstream version 0.97.0. (Closes: #701374).
  * [79c690d] Use packaged versions of python-minieigen and pygts instead of 
              embedded copies.
  * [a391f24] Use help2man to generate manpages.
  * [84b1a93] Enable parallel build on some archs. (Closes: #704046)

 -- Anton Gladky <gladk@debian.org>  Tue, 14 May 2013 22:23:41 +0200

yade (0.95.0-1~exp1) experimental; urgency=low

  * [2184d2f] Imported Upstream version 0.95.0
  * [3823f78] Add python-argparse into Depends.
  * [34afa31] Update Standards-Version to 3.9.4. No changes.
  * [a2eb063] Update copyright file.
  * [a97d638] Use wrap-and-sort for formatting.

 -- Anton Gladky <gladk@debian.org>  Tue, 05 Mar 2013 21:05:08 +0100
