=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,17 @@
 tmpInstall = $(CURDIR)/debian/tmp
 tmpDirMatplotLib = $(CURDIR)/debian/matplotlib
 
+parallelbuild_archs =
+parallel_flag = --parallel
+ifeq (,$(filter $(DEB_HOST_ARCH),$(parallelbuild_archs)))
+	parallel_flag=
+endif
+
 %:
-	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 $(parallel_flag)
+
+export CC  = gcc-4.7
+export CXX = g++-4.7
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
@@ -12,6 +21,7 @@
 export MPLCONFIGDIR := $(tmpDirMatplotLib) 
 export HOME := $(tmpDirMatplotLib) 
 export LD_LIBRARY_PATH :=  $(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py/gts:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py/yade:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py/yade/qt:$(LD_LIBRARY_PATH); 
+export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export YADE_PREFIX := $(tmpInstall)/usr
 
 extra_flags += \
@@ -31,12 +41,13 @@
 override_dh_auto_install-arch:
 	dh_auto_install -a
 	# generate manpages
-	$(tmpInstall)/usr/bin/yade --generate-manpage yade.1
-	$(tmpInstall)/usr/bin/yade-batch --generate-manpage yade-batch.1
+	help2man $(tmpInstall)/usr/bin/yade > yade.1
+	help2man $(tmpInstall)/usr/bin/yade-batch > yade-batch.1
 	$(tmpInstall)/usr/bin/yade --test
 	$(tmpInstall)/usr/bin/yade --check
 	#Delete all pyc files
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
+	dh_numpy
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
@@ -52,3 +63,14 @@
 	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py; cd _build/latex; xelatex Yade.tex; xelatex Yade.tex; xelatex Yade.tex;
 	#Delete all pyc files
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
+
+override_dh_auto_test: 
+
+override_dh_installdocs-indep:
+	dh_installdocs
+	dh_sphinxdoc
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(BUILDDIR)
+
